## at-spi2-core 2.10.2.is.2.10.1

=== debian/changelog ===
at-spi2-core (2.10.2.is.2.10.1-0ubuntu1) trusty; urgency=medium

  * Revert to 2.10.1. This version is causing a lot of qmlscene crash
    (visible in the CI dashboard) on maguro devices when start apps.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 21 Jan 2014 11:51:31 +0100

at-spi2-core (2.10.2-2ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Load the at-spi2 registry as part of the Ubuntu upstart user session

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 20 Jan 2014 10:07:03 +1100

at-spi2-core (2.10.2-2) unstable; urgency=medium

  * control: Build-depend on dh-autoreconf.
  * rules: Pass --with autoreconf to dh.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Jan 2014 14:17:21 +0100

at-spi2-core (2.10.2-1) unstable; urgency=low

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Dec 2013 19:36:38 +0100

at-spi2-core (2.10.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release (LP: #1241308)
    - Fix a leak introduced in 2.9.92 that adversely affected performance
      (BGO#709625).
  * debian/patches/revert-message-flow-optimization.patch: Drop, properly
    fixed upstream.
  * Add missing closing bracket to upstart file (LP: #1236346)
  * debian/patches/fix_crash.patch:
    - Fix crash in register_client (LP: #1037357)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 25 Oct 2013 08:58:55 +1100

=== debian/control ===
Source: at-spi2-core
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-core.git;a=summary
Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-core.git
Homepage: http://live.gnome.org/Accessibility
Build-Depends: debhelper (>= 9),
               libdbus-glib-1-dev, dbus,
               libglib2.0-dev,
               libxtst-dev,
               libgirepository1.0-dev,
               gtk-doc-tools (>= 1.09),
               gobject-introspection,
               gir1.2-glib-2.0,
               hardening-wrapper,
               dh-autoreconf
Standards-Version: 3.9.4

Package: at-spi2-core
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: gdm3 (<< 3.4)
Description: Assistive Technology Service Provider Interface (dbus core)
 This package contains the core components of GNOME Accessibility.

Package: at-spi2-core-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}, at-spi2-core (= ${binary:Version})
Description: Assistive Technology Service Provider Interface - debugging symbols
 This package contains the debugging symboles for core components of GNOME
 Accessibility.

Package: libatspi2.0-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: at-spi2-core (= ${binary:Version})
Description: Assistive Technology Service Provider Interface - shared library
 This package contains the shared library for applications that wish to use
 the at-spi interface.

Package: libatspi2.0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         gir1.2-atspi-2.0 (= ${binary:Version}),
         libatspi2.0-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.4.1-2),
         libdbus-1-dev, libdbus-glib-1-dev, dbus,
         libglib2.0-dev,
         libxtst-dev
Replaces: gir-repository-dev
Description: Development files for the assistive technology serice provider
 These are the development files for at-spi2, needed for compilation of
 programs which use it.

Package: libatspi2.0-0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libatspi2.0-0 (= ${binary:Version})
Description: Assistive Technology Service Provider Interface - debugging symbols
 This package contains the debugging symbols for the shared library for
 applications that wish to use the at-spi interface.

Package: gir1.2-atspi-2.0
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Replaces: gir1.0-gtk-2.0 (<< 2.22),
          gobject-introspection-repository
Description: Assistive Technology Service Provider (GObject introspection)
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings

Package: at-spi2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: devhelp
Description: Assistive Technology Service Provider Interface (Documentation)
 This package contains documentation for the at-spi2 interface.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_HARDENING=1

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
			--libexecdir=\$${prefix}/lib/at-spi2-core \
			--enable-introspection \
			--enable-gtk-doc

override_dh_auto_install:
	dh_auto_install
	for file in $$(find debian/tmp/usr/lib/ -name "*.la"); do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
	done

override_dh_auto_test:

override_dh_makeshlibs:
	dh_makeshlibs -a
	dh_girepository -pgir1.2-atspi-2.0

override_dh_strip:
	dh_strip -plibatspi2.0-0 --dbg-package=libatspi2.0-0-dbg
	dh_strip -pat-spi2-core --dbg-package=at-spi2-core-dbg

## at-spi2-core 2.14.0

=== debian/changelog ===
at-spi2-core (2.14.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: Set ac_cv_lib_ICE_IceConnectionNumber=no to avoid a spurious libice6
    dependency (which makes udeb packages uninstallable) (Closes: #754208)
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 09 Oct 2014 22:24:21 +0200

at-spi2-core (2.12.0-2) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Fix generated shlibs file by removing stray, static copy
    (debian/libatspi2.0-0.shlibs), and by moving the version to the
    dh_makeshlibs call (-V flag). This will fix reverse-depending udeb
    uninstallability as soon as at-spi2-atk is rebuilt (Closes: Bug#754033)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 17 Jul 2014 22:29:27 +0200

at-spi2-core (2.12.0-1) unstable; urgency=low

  [ Samuel Thibault ]
  * control: Fix typo in package description (Closes: Bug#745283)

  [ Mario Lang]
  * debian/control: Remove unused Build-Depends on gir1.2-glib-2.0.
  * New upstream release.
  * debian/watch: Only track even releases.
  * debian/control: Add myself to Uploaders.

 -- Mario Lang <mlang@debian.org>  Tue, 08 Jul 2014 12:25:50 +0200

at-spi2-core (2.10.2-3) unstable; urgency=low

  [ Paul Gevers ]
  * Team upload.
  * Update watch file
  * Update homepage

 -- Samuel Thibault <sthibault@debian.org>  Sat, 19 Apr 2014 21:37:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: at-spi2-core
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
-Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>, Mario Lang <mlang@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-core.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-core.git
-Homepage: http://live.gnome.org/Accessibility
+Homepage: https://wiki.gnome.org/Accessibility
 Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
                libdbus-glib-1-dev, dbus,
                libglib2.0-dev,
                libxtst-dev,
                libgirepository1.0-dev,
                gtk-doc-tools (>= 1.09),
                gobject-introspection,
-               gir1.2-glib-2.0,
-               hardening-wrapper,
-               dh-autoreconf
-Standards-Version: 3.9.4
+               hardening-wrapper
+Standards-Version: 3.9.6
 
 Package: at-spi2-core
 Architecture: any
@@ -26,6 +24,15 @@
 Breaks: gdm3 (<< 3.4)
 Description: Assistive Technology Service Provider Interface (dbus core)
  This package contains the core components of GNOME Accessibility.
+
+Package: at-spi2-core-udeb
+Section: debian-installer
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Package-Type: udeb
+Description: Assistive Technology Service Provider Interface (dbus core for d-i)
+ This package contains the core components of GNOME Accessibility for the debian
+ installer.
 
 Package: at-spi2-core-dbg
 Architecture: any
@@ -47,6 +54,14 @@
  This package contains the shared library for applications that wish to use
  the at-spi interface.
 
+Package: libatspi0-udeb
+Section: debian-installer
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Package-Type: udeb
+Description: Assistive Technology Service Provider Interface - module for d-i
+ This package contains the AT-SPI shared library, for the debian installer.
+
 Package: libatspi2.0-dev
 Section: libdevel
 Architecture: any
@@ -58,7 +73,7 @@
          libglib2.0-dev,
          libxtst-dev
 Replaces: gir-repository-dev
-Description: Development files for the assistive technology serice provider
+Description: Development files for the assistive technology service provider
  These are the development files for at-spi2, needed for compilation of
  programs which use it.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
+	ac_cv_lib_ICE_IceConnectionNumber=no \
 	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 			--libexecdir=\$${prefix}/lib/at-spi2-core \
 			--enable-introspection \
@@ -21,9 +22,11 @@
 override_dh_auto_test:
 
 override_dh_makeshlibs:
-	dh_makeshlibs -a
+	dh_makeshlibs -a --add-udeb=libatspi0-udeb -V 'libatspi2.0-0 (>= 2.9.90)'
 	dh_girepository -pgir1.2-atspi-2.0
 
 override_dh_strip:
 	dh_strip -plibatspi2.0-0 --dbg-package=libatspi2.0-0-dbg
+	dh_strip -plibatspi0-udeb
 	dh_strip -pat-spi2-core --dbg-package=at-spi2-core-dbg
+	dh_strip -pat-spi2-core-udeb

## at-spi2-core 2.16.0

=== debian/changelog ===
at-spi2-core (2.16.0-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Load the at-spi2 registry as part of the Ubuntu upstart user session
  * Remove respawn keyword from upstart file, the service gets restarted via
    dbus if required (LP: #1228567)

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 18 May 2015 14:43:06 +1000

at-spi2-core (2.16.0-1) unstable; urgency=low

  * New upstream release.
  * No longer Build-Depends on hardening-wrapper.

 -- Mario Lang <mlang@debian.org>  Tue, 05 May 2015 13:22:27 +0200

at-spi2-core (2.14.0-1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Load the at-spi2 registry as part of the Ubuntu upstart user session

 -- Luke Yelavich <themuso@ubuntu.com>  Sat, 25 Oct 2014 09:59:08 -0400

at-spi2-core (2.12.0-2ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Load the at-spi2 registry as part of the Ubuntu upstart user session

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 23 Sep 2014 15:19:06 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: at-spi2-core
 Section: misc
 Priority: optional
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>, Mario Lang <mlang@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-core.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-core.git
@@ -13,8 +14,7 @@
                libxtst-dev,
                libgirepository1.0-dev,
                gtk-doc-tools (>= 1.09),
-               gobject-introspection,
-               hardening-wrapper
+               gobject-introspection
 Standards-Version: 3.9.6
 
 Package: at-spi2-core

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-export DEB_BUILD_HARDENING=1
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --with autoreconf

## at-spi2-core 2.18.3

=== debian/changelog ===
at-spi2-core (2.18.3-4ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Load the at-spi2 registry as part of the Ubuntu upstart user session

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 25 Feb 2016 14:12:56 +1100

at-spi2-core (2.18.3-4) unstable; urgency=medium

  * control: Replace libdbus-glib-1-dev dependencies with libdbus-1-dev.
  * rules: Set ddeb-migration.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * control: Bump Standards-Version to 3.9.7 (no change).
  * patches/register_with_session_manager: Cherry-pick from uptsream
    (Closes: #812555).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Feb 2016 00:55:32 +0100

at-spi2-core (2.18.3-3) unstable; urgency=medium

  * patches/at-spi-by-default: New patch to start a11y bus by default, ready
    for use in all desktops (Closes: #786674).
  * patches/no_a11y_warning_ssh: Disable a11y failure warning when inside an
    ssh connection: a11y forwarding is not implemented yet (Closes: #728385).
  * rules: Clear.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Dec 2015 17:37:41 +0100

at-spi2-core (2.18.3-2) unstable; urgency=medium

  * 90qt-a11y: Always enable accessibility.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Dec 2015 23:06:10 +0100

at-spi2-core (2.18.3-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Load the at-spi2 registry as part of the Ubuntu upstart user session

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 13 Nov 2015 07:31:35 +1100

at-spi2-core (2.18.3-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Wed, 11 Nov 2015 00:03:14 +0100

at-spi2-core (2.18.2-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release
  * Dropped patch, applied upstream

  [ Samuel Thibault ]
  * patches/set_by_name_crash: New patch, fixes crash (Closes: #804720).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 10 Nov 2015 22:23:41 +0100

at-spi2-core (2.18.1-2ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Load the at-spi2 registry as part of the Ubuntu upstart user session

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 28 Oct 2015 13:14:53 +1100

at-spi2-core (2.18.1-2) unstable; urgency=high

  * patches/git-09a604d: Cherry-pick upstream patch to fix crash fix
    (Closes: #803098)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Oct 2015 20:39:37 +0100

at-spi2-core (2.18.1-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release

  [ Samuel Thibault ]
  * control: Drop libatspi2.0-dev dbus dependency (Closes: #801369)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Oct 2015 13:41:26 +0200

at-spi2-core (2.18.0-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * Enable accessibility in Qt4 and Qt5 applications when the kde desktop is
    configured to start the screen reader.
  * rules: Disable PIE hardening to work around build issue with
    gobject-introspection (see #797132).

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Sep 2015 23:32:55 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-core.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-core.git
 Homepage: https://wiki.gnome.org/Accessibility
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9.20150628),
                dh-autoreconf,
-               libdbus-glib-1-dev, dbus,
+               dbus, libdbus-1-dev,
                libglib2.0-dev,
                libxtst-dev,
                libgirepository1.0-dev,
                gtk-doc-tools (>= 1.09),
                gobject-introspection
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 
 Package: at-spi2-core
 Architecture: any
@@ -33,15 +33,6 @@
 Description: Assistive Technology Service Provider Interface (dbus core for d-i)
  This package contains the core components of GNOME Accessibility for the debian
  installer.
-
-Package: at-spi2-core-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: ${misc:Depends}, ${shlibs:Depends}, at-spi2-core (= ${binary:Version})
-Description: Assistive Technology Service Provider Interface - debugging symbols
- This package contains the debugging symboles for core components of GNOME
- Accessibility.
 
 Package: libatspi2.0-0
 Section: libs
@@ -69,23 +60,13 @@
          gir1.2-atspi-2.0 (= ${binary:Version}),
          libatspi2.0-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.4.1-2),
-         libdbus-1-dev, libdbus-glib-1-dev, dbus,
+         libdbus-1-dev,
          libglib2.0-dev,
          libxtst-dev
 Replaces: gir-repository-dev
 Description: Development files for the assistive technology service provider
  These are the development files for at-spi2, needed for compilation of
  programs which use it.
-
-Package: libatspi2.0-0-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}, libatspi2.0-0 (= ${binary:Version})
-Description: Assistive Technology Service Provider Interface - debugging symbols
- This package contains the debugging symbols for the shared library for
- applications that wish to use the at-spi interface.
 
 Package: gir1.2-atspi-2.0
 Section: introspection

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	ac_cv_lib_ICE_IceConnectionNumber=no \
	dh_auto_configure -- --libexecdir=\$${prefix}/lib/at-spi2-core \
			--enable-introspection \
			--enable-gtk-doc

override_dh_auto_install:
	dh_auto_install
	for file in $$(find debian/tmp/usr/lib/ -name "*.la"); do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
	done

override_dh_auto_test:

override_dh_makeshlibs:
	dh_makeshlibs -a --add-udeb=libatspi0-udeb -V 'libatspi2.0-0 (>= 2.9.90)'
	dh_girepository -pgir1.2-atspi-2.0

override_dh_strip:
	dh_strip -plibatspi2.0-0 --ddeb-migration='libatspi2.0-0-dbg (<< 2.18.3-4~)'
	dh_strip -plibatspi0-udeb
	dh_strip -pat-spi2-core --ddeb-migration='at-spi2-core-dbg (<< 2.18.3-4~)'
	dh_strip -pat-spi2-core-udeb

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/at-spi2-core/(\d.[0-9]*[02468])/at-spi2-core-([\d.]*).tar.xz

## at-spi2-core 2.20.2

=== debian/changelog ===
at-spi2-core (2.20.2-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Load the at-spi2 registry as part of the Ubuntu upstart user session

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 31 May 2016 08:20:06 +1000

at-spi2-core (2.20.2-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 3.9.8 (no change)
  * 90qt-a11y: Export $QT_ACCESSIBILITY and QT_LINUX_ACCESSIBILITY_ALWAYS_ON to
    dbus user session as well, thanks Martin Pitt for the hint.

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 May 2016 20:09:23 +0200

at-spi2-core (2.20.1-1ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Load the at-spi2 registry as part of the Ubuntu upstart user session

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 28 Apr 2016 11:50:41 +0200

at-spi2-core (2.20.1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * Add formal xml files to the documentation.
  * Add locale files. Thanks Simon for the notice.

  [ Simon McVittie ]
  * New upstream release (Closes: #820969)
    - drop all patches except patches/at-spi-by-default, applied upstream
    - install new systemd --user unit, which will put AT-SPI in its own
      cgroup if used with dbus-user-session
    - debian/at-spi2-core.maintscript: clean up obsolete conffile
      controlling AT-SPI D-Bus policy, if unmodified (if modified,
      the modified version /etc/at-spi2/accessibility.conf will still
      be used)
  * debian/rules: warn if any files other than *.la are installed but not
    packaged, to catch mistakes.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 28 Apr 2016 01:37:32 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libgirepository1.0-dev,
                gtk-doc-tools (>= 1.09),
                gobject-introspection
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 
 Package: at-spi2-core
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,10 @@
 
 override_dh_auto_test:
 
+override_dh_install:
+	rm -f debian/tmp/usr/lib/*/*.la
+	dh_install --list-missing
+
 override_dh_makeshlibs:
 	dh_makeshlibs -a --add-udeb=libatspi0-udeb -V 'libatspi2.0-0 (>= 2.9.90)'
 	dh_girepository -pgir1.2-atspi-2.0

## at-spi2-core 2.22.0

=== debian/changelog ===
at-spi2-core (2.22.0-6+deb9u1) stretch; urgency=medium

  * patches/accessible_get_parent.diff: Upstream fix for crash on switching
    between windows (Closes: Bug#872912).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Aug 2017 23:22:37 +0200

at-spi2-core (2.22.0-6) unstable; urgency=medium

  * patches/git-329ef2c4ebcb3aec6dcfcac15357fd583a60c969:
    clear root accessible's ref to the app, fixes Orca sometimes hanging when
    apps are quit.
  * patches/git-eba079f3e72e61e6b55d81727ab50c85d505d296:
    atspi_table_cell_get_position: don't crash on error

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 May 2017 21:44:08 +0200

at-spi2-core (2.22.0-5) unstable; urgency=medium

  * patches/register-client-early: Replace by upstream proposed fix:
    - patches/revert-register-late: Revert change.
    - patches/register-client-not-too-early: But delay client registration a
    bit (Closes: Bug#848996).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Dec 2016 19:14:48 +0100

at-spi2-core (2.22.0-4) unstable; urgency=medium

  * patches/register-client-early: Fix crash by moving registration after
    getting sm_proxy (Closes: Bug#843002).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 15 Nov 2016 00:18:33 +0100

at-spi2-core (2.22.0-3) unstable; urgency=medium

  * patches/register-client-early: Register at-spi-bus-launcher early, to
    avoid deadlock with gnome-session (Closes: Bug#840618).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Nov 2016 00:30:45 +0100

at-spi2-core (2.22.0-2) unstable; urgency=medium

  * rules: Really disable PIE.
  * control: Remove Mario from Uploaders (Closes: Bug#840860).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 26 Oct 2016 11:14:15 +0200

at-spi2-core (2.22.0-1) unstable; urgency=medium

  * New upstream release.
  * gir1.2-atspi-2.0.install: Move to multi-arch directory.
  * control:
    - Make gir1.2-atspi-2.0 multi-arch: same.
    - Make libatspi2.0-dev multi-arch: same.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 01 Oct 2016 22:12:09 +0200

at-spi2-core (2.20.2-2) unstable; urgency=medium

  * control: Add missing intltool build-dependency (Closes: Bug#837819).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 15 Sep 2016 01:52:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: at-spi2-core
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
-Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>, Mario Lang <mlang@debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-core.git;a=summary
 Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-core.git
 Homepage: https://wiki.gnome.org/Accessibility
@@ -13,7 +12,7 @@
                libglib2.0-dev,
                libxtst-dev,
                libgirepository1.0-dev,
-               gtk-doc-tools (>= 1.09),
+               intltool, gtk-doc-tools (>= 1.09),
                gobject-introspection
 Standards-Version: 3.9.8
 
@@ -56,6 +55,7 @@
 Package: libatspi2.0-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          gir1.2-atspi-2.0 (= ${binary:Version}),
          libatspi2.0-0 (= ${binary:Version}),
@@ -71,6 +71,7 @@
 Package: gir1.2-atspi-2.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${gir:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_CFLAGS_MAINT_APPEND = -no-pie -fno-pie -fno-PIE
+export DEB_LDFLAGS_MAINT_APPEND = -no-pie
 
 %:
 	dh $@ --with autoreconf

## at-spi2-core 2.26.0

=== debian/changelog ===
at-spi2-core (2.26.0-2) unstable; urgency=medium

  * patches/avoid_xkb_dep: Do not link against xkbcommon, we don't actually
    need it (Closes: Bug#875945).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 16 Sep 2017 13:42:33 +0200

at-spi2-core (2.26.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control:
    - Build-depend on libxkbcommon-x11-dev and libxkbcommon-dev
  * Drop accessible_get_parent.diff: Applied in new release

  [ Samuel Thibault ]
  * 90qt-a11y: Stop setting QT_LINUX_ACCESSIBILITY_ALWAYS_ON, starting from at
    least 5.9, qt5base does not need it any more to enable accessibility
    (Closes: Bug#874172).

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Sep 2017 20:30:21 -0400

at-spi2-core (2.24.1-2) unstable; urgency=medium

  * control: Bump Standards-Version to 4.1.0 (no changes).
  * patches/accessible_get_parent.diff: Upstream fix for crash on switching
    between windows (Closes: Bug#872912).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Aug 2017 21:13:53 +0200

at-spi2-core (2.24.1-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release.
  * Drop patches applied in new release:
    - revert-register-late
    - register-client-not-too-early
    - git-329ef2c4ebcb3aec6dcfcac15357fd583a60c969
    - git-eba079f3e72e61e6b55d81727ab50c85d505d296

  [ Samuel Thibault ]
  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.
  * re-enable PIE, gobject-introspection doesn't pose problem any more
    (Closes: Bug#865597).

  [ Paul Gevers ]
  * Rewrite d/copyright

 -- Paul Gevers <elbrus@debian.org>  Tue, 04 Jul 2017 20:31:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: at-spi2-core
 Section: misc
 Priority: optional
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
-Vcs-Browser: http://git.debian.org/?p=pkg-a11y/at-spi2-core.git;a=summary
-Vcs-Git: git://git.debian.org/git/pkg-a11y/at-spi2-core.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/at-spi2-core.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/at-spi2-core.git
 Homepage: https://wiki.gnome.org/Accessibility
 Build-Depends: debhelper (>= 9.20150628),
                dh-autoreconf,
                dbus, libdbus-1-dev,
                libglib2.0-dev,
+               libxkbcommon-x11-dev,
+               libxkbcommon-dev,
                libxtst-dev,
                libgirepository1.0-dev,
                intltool, gtk-doc-tools (>= 1.09),
                gobject-introspection
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 
 Package: at-spi2-core
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
-export DEB_CFLAGS_MAINT_APPEND = -no-pie -fno-pie -fno-PIE
-export DEB_LDFLAGS_MAINT_APPEND = -no-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with autoreconf

## at-spi2-core 2.26.2

=== debian/changelog ===
at-spi2-core (2.26.2-2) unstable; urgency=medium

  * Team upload
  * Build with meson
  * Bump debhelper compat to 10
  * Use dh_missing --fail-missing
  * Update debian/watch

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 25 Nov 2017 23:47:08 -0500

at-spi2-core (2.26.2-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Oct 2017 22:20:56 +0100

at-spi2-core (2.26.1-1) unstable; urgency=medium

  * New upstream release.
    - patches/avoid_xkb_dep: Drop, fixed upstream.
  * control: Bump Standards-Version to 4.1.1 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Oct 2017 19:50:11 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/at-spi2-core.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/at-spi2-core.git
 Homepage: https://wiki.gnome.org/Accessibility
-Build-Depends: debhelper (>= 9.20150628),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10.3~),
                dbus, libdbus-1-dev,
                libglib2.0-dev,
                libxkbcommon-x11-dev,
                libxkbcommon-dev,
                libxtst-dev,
+               meson (>= 0.40.1),
                libgirepository1.0-dev,
                intltool, gtk-doc-tools (>= 1.09),
                gobject-introspection
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 
 Package: at-spi2-core
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	ac_cv_lib_ICE_IceConnectionNumber=no \
	dh_auto_configure -- --libexecdir=/usr/lib/at-spi2-core \
			-Denable-introspection=yes \
			-Denable_docs=true

override_dh_auto_test:

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -a --add-udeb=libatspi0-udeb -V 'libatspi2.0-0 (>= 2.9.90)'
	dh_girepository -pgir1.2-atspi-2.0

override_dh_strip:
	dh_strip -plibatspi2.0-0 --ddeb-migration='libatspi2.0-0-dbg (<< 2.18.3-4~)'
	dh_strip -plibatspi0-udeb
	dh_strip -pat-spi2-core --ddeb-migration='at-spi2-core-dbg (<< 2.18.3-4~)'
	dh_strip -pat-spi2-core-udeb

## at-spi2-core 2.28.0

=== meson_options.txt ===
option('dbus_services_dir',
       description: 'Location of the DBus services',
       type: 'string',
       value: 'default')
option('dbus_daemon',
       description: 'The path of the DBus daemon',
       type: 'string',
       value: 'default')
option('systemd_user_dir',
       description: 'Location of the systemd user services',
       type: 'string',
       value: 'default')
option('enable_docs',
       description: 'Generate API reference for atspi (requires GTK-Doc)',
       type: 'boolean',
       value: false)

option('enable-introspection', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Enable GObject Introspection (depends on GObject)')

option('enable-x11', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Enable X11 support')

=== debian/changelog ===
at-spi2-core (2.28.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Includes reproducible build fix from Chris Lamb (Closes: #883359)
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Mar 2018 21:02:24 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/at-spi2-core.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/at-spi2-core.git
 Homepage: https://wiki.gnome.org/Accessibility
-Build-Depends: debhelper (>= 10.3~),
+Build-Depends: debhelper (>= 11.1.3),
                dbus, libdbus-1-dev,
                libglib2.0-dev,
                libxkbcommon-x11-dev,
@@ -14,9 +14,9 @@
                libxtst-dev,
                meson (>= 0.40.1),
                libgirepository1.0-dev,
-               intltool, gtk-doc-tools (>= 1.09),
+               gtk-doc-tools (>= 1.09),
                gobject-introspection
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 
 Package: at-spi2-core
 Architecture: any
@@ -63,7 +63,6 @@
          libatspi2.0-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.4.1-2),
          libdbus-1-dev,
-         libglib2.0-dev,
          libxtst-dev
 Replaces: gir-repository-dev
 Description: Development files for the assistive technology service provider

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --buildsystem=meson
+	dh $@
 
 override_dh_auto_configure:
 	ac_cv_lib_ICE_IceConnectionNumber=no \

## at-spi2-core 2.28.0-1+9.0trisquel1

=== debian/changelog ===
at-spi2-core (2.28.0-1+9.0trisquel1) etiona; urgency=medium

  * Enable on MATE

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 20 Apr 2020 23:44:53 +0000

## at-spi2-core 2.30.0

=== meson_options.txt ===
--- 
+++ 
@@ -6,6 +6,15 @@
        description: 'The path of the DBus daemon',
        type: 'string',
        value: 'default')
+option('dbus_broker',
+       description: 'The path of the DBus broker',
+       type: 'string',
+       value: 'default')
+option('default_bus',
+       description: 'The default DBus implementation to use',
+       type: 'combo',
+       choices: ['dbus-daemon', 'dbus-broker'],
+       value: 'dbus-daemon')
 option('systemd_user_dir',
        description: 'Location of the systemd user services',
        type: 'string',

=== debian/changelog ===
at-spi2-core (2.30.0-7) unstable; urgency=medium

  * Move 90qt-a11y.conf to /etc to allow administrators to disable it if
    needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Feb 2019 16:14:06 +0100

at-spi2-core (2.30.0-6) unstable; urgency=medium

  * 90qt-a11y.conf: Set QT_ACCESSIBILITY to 1 in Wayland sessions too.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Feb 2019 15:57:07 +0100

at-spi2-core (2.30.0-5) unstable; urgency=medium

  * patches/meson: Drop patch.
  * rules: re-enable documentation generation.
  * at-spi2-doc.install: Re-enable installing documentation.
  * patches/git-lockmods: Support locking/unlocking modifiers.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 Nov 2018 21:06:44 +0100

at-spi2-core (2.30.0-4) unstable; urgency=medium

  * patches/meson: Disable, actually completely breaks execution.
  * rules: Disable documentation generation, avoids #911697.
  * at-spi2-doc.install: Disable installing documentation.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 24 Oct 2018 09:29:13 +0200

at-spi2-core (2.30.0-3) unstable; urgency=medium

  * patches/meson: Fix dbind documentation build with meson
    (Closes: Bug#911697)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Oct 2018 17:46:33 +0200

at-spi2-core (2.30.0-2) unstable; urgency=medium

  * Add disable-test-that-needs-installed-dbus-service.patch

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 14 Sep 2018 22:52:53 -0400

at-spi2-core (2.30.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Team upload
  * New upstream release
  * Build-Depend on gedit and xvfb for build tests
  * debian/rules: Run build tests
  * Release to unstable

  [ Samuel Thibault ]
  - 90qt-a11y: Do not export variable not defined any more

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 14 Sep 2018 19:38:54 -0400

at-spi2-core (2.29.1-1) experimental; urgency=medium

  * New upstream beta release.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 25 Aug 2018 21:39:59 +0200

at-spi2-core (2.28.0-4) UNRELEASED; urgency=medium

  * Bump Standards-Version to 4.2.0 (no changes).
  * control: Mark at-spi2-doc Multi-Arch: foreign.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 08 Jul 2018 15:45:17 +0200

at-spi2-core (2.28.0-3) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * Bump Standards-Version to 4.1.4 (no changes).

  [ Jeremy Bicha ]
  * Demote at-spi2-doc's Recommends: devhelp to Suggests
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 30 Apr 2018 15:01:17 -0400

at-spi2-core (2.28.0-2) unstable; urgency=high

  * control: Make sure we upgrade libatspi2.0-0 while upgrading
    gir1.2-atspi-2.0, notably for role values etc.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 20 Apr 2018 13:44:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,23 @@
 Priority: optional
 Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
-Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/at-spi2-core.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/at-spi2-core.git
-Homepage: https://wiki.gnome.org/Accessibility
 Build-Depends: debhelper (>= 11.1.3),
                dbus, libdbus-1-dev,
+               gedit <!nocheck>,
                libglib2.0-dev,
                libxkbcommon-x11-dev,
                libxkbcommon-dev,
                libxtst-dev,
-               meson (>= 0.40.1),
+               meson (>= 0.48.2-1),
                libgirepository1.0-dev,
                gtk-doc-tools (>= 1.09),
-               gobject-introspection
-Standards-Version: 4.1.3
+               gobject-introspection,
+               xauth <!nocheck>,
+               xvfb <!nocheck>
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/a11y-team/at-spi2-core
+Vcs-Git: https://salsa.debian.org/a11y-team/at-spi2-core.git
+Homepage: https://wiki.gnome.org/Accessibility
 
 Package: at-spi2-core
 Architecture: any
@@ -75,7 +78,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         ${gir:Depends}
+         ${gir:Depends},
+         libatspi2.0-0 (>= ${binary:Version})
 Replaces: gir1.0-gtk-2.0 (<< 2.22),
           gobject-introspection-repository
 Description: Assistive Technology Service Provider (GObject introspection)
@@ -85,7 +89,8 @@
 Package: at-spi2-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: devhelp
+Suggests: devhelp
 Description: Assistive Technology Service Provider Interface (Documentation)
  This package contains documentation for the at-spi2 interface.

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 			-Denable_docs=true
 
 override_dh_auto_test:
+	dbus-run-session -- xvfb-run dh_auto_test
 
 override_dh_missing:
 	dh_missing --fail-missing

## at-spi2-core 2.32.0

=== debian/changelog ===
at-spi2-core (2.32.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Update configure flags
  * Drop debian/patches/git-lockmods: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Mar 2019 17:55:45 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libxkbcommon-x11-dev,
                libxkbcommon-dev,
                libxtst-dev,
-               meson (>= 0.48.2-1),
+               meson (>= 0.48.2),
                libgirepository1.0-dev,
                gtk-doc-tools (>= 1.09),
                gobject-introspection,

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,8 @@
 override_dh_auto_configure:
 	ac_cv_lib_ICE_IceConnectionNumber=no \
 	dh_auto_configure -- --libexecdir=/usr/lib/at-spi2-core \
-			-Denable-introspection=yes \
-			-Denable_docs=true
+			-Dintrospection=yes \
+			-Ddocs=true
 
 override_dh_auto_test:
 	dbus-run-session -- xvfb-run dh_auto_test

## at-spi2-core 2.32.1

=== debian/changelog ===
at-spi2-core (2.32.1-1~bpo10+1) buster-backports; urgency=medium

  * Backport to buster.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Aug 2019 22:24:05 +0200

at-spi2-core (2.32.1-1) unstable; urgency=medium

  * New upstream release
  * control: Add dh-sequence-gir alternative to gobject-introspection.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 30 Jul 2019 19:41:13 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                meson (>= 0.48.2),
                libgirepository1.0-dev,
                gtk-doc-tools (>= 1.09),
-               gobject-introspection,
+               gobject-introspection | dh-sequence-gir,
                xauth <!nocheck>,
                xvfb <!nocheck>
 Standards-Version: 4.2.0

## at-spi2-core 2.34.0

=== debian/changelog ===
at-spi2-core (2.34.0-4~bpo10+1) buster-backports; urgency=medium

  * Backport to buster.
    - patches/meson: Bump back meson requirement.
    - control: Update accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 04 Mar 2020 09:18:24 +0100

at-spi2-core (2.34.0-4) unstable; urgency=medium

  [ Steve Langasek ]
  * debian/tests/control: Use native gedit for tests, there is no need to pull
    cross-packages for gedit in order to test at-spi2 (Closes: Bug#946361)
  * debian/tests/{dbind,gedit}: Use cross-compilation toolchain when requested
    to.

  [ Samuel Thibault ]
  * debian/patches/shutdown-fix: Upstream fix for shutdown.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Mar 2020 14:58:37 +0100

at-spi2-core (2.34.0-3) unstable; urgency=medium

  * debian/{90qt-a11y,90qt-a11y.conf}: Re-introduce. Some people might still
    have qt4 applications and qt-at-spi installed, so better still support
    them.  Also, backports into buster and stretch will want it.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Sep 2019 14:43:33 +0200

at-spi2-core (2.34.0-2) unstable; urgency=medium

  * debian/at-spi2-core.maintscript: Remove qt conffiles (Closes: Bug#939917)
  * debian/at-spi2-core.maintscript: Drop old rule for
    /etc/at-spi2/accessibility.conf.
  * debian/tests/dbus-daemon: Send all dbus output to stdout, for
    debuggability.
  * rules, tests/gedit: Prevent Xvfb from resetting between clients, it seems to
    be creating a period of time during which clients can't connect.
  * watch: Generalize pattern.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Sep 2019 23:38:20 +0200

at-spi2-core (2.34.0-1) unstable; urgency=medium

  * New upstream release.
    - patches/at_spi_bus: Upstreamed.
  * control: Bump meson build-dep to 0.50.0.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Sep 2019 23:01:53 +0200

at-spi2-core (2.33.92-2) experimental; urgency=medium

  * patches/at_spi_bus: Fix setting the AT_SPI_BUS X property, needed e.g. when
    running applications as root with just setting DISPLAY and XAUTHORITY.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 06 Sep 2019 03:48:15 +0200

at-spi2-core (2.33.92-1) experimental; urgency=medium

  * New upstream beta release.
    - patches/unref_warn: Remove, upstreamed.
    - patches/cleanup_warn: Remove, upstreamed.
    - patches/noreply_nowarn: Remove, upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Sep 2019 00:49:50 +0200

at-spi2-core (2.33.90-1) experimental; urgency=medium

  * New upstream beta release.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 22 Aug 2019 21:53:46 +0200

at-spi2-core (2.32.1-5) UNRELEASED; urgency=medium

  * rules: Run xvfb before dbus session, to make sure dbus doesn't catch host
    X display.
  * debian/tests/gedit: Do not start at-spi session by hand, dbus should be
    doing it.
  * debian/{90qt-a11y,90qt-a11y.conf}: Remove, useless now that qt-at-spi is
    removed.
  * tests/: Fix temporary directory path.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 31 Aug 2019 01:29:22 +0200

at-spi2-core (2.32.1-4) unstable; urgency=medium

  * Make xvfb-run allocate a server number.
  * patches/noreply_nowarn: Do not warn when get_items does not get a reply.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 25 Aug 2019 23:22:44 +0200

at-spi2-core (2.32.1-3) unstable; urgency=medium

  * patches/{cleanup_warn,unref_warn,dbtest_quiet}: Disable annoying stderr
    output.
  * patches/test_disable_teamspaces: Disable teamspace testing, does not seem
    to be available in Debian.
  * tests: Run dbind/dbtest and tests/memory in autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 25 Aug 2019 17:48:05 +0200

at-spi2-core (2.32.1-2) unstable; urgency=medium

  * control: Bump Standards-Version to 4.4.0 (no changes).
  * rules: Fix build against newer debhelper.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 22 Aug 2019 21:08:04 +0200

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                libxkbcommon-x11-dev,
                libxkbcommon-dev,
                libxtst-dev,
-               meson (>= 0.48.2),
+               meson (>= 0.40.1),
                libgirepository1.0-dev,
                gtk-doc-tools (>= 1.09),
                gobject-introspection | dh-sequence-gir,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/a11y-team/at-spi2-core
 Vcs-Git: https://salsa.debian.org/a11y-team/at-spi2-core.git
 Homepage: https://wiki.gnome.org/Accessibility

=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,14 @@
 			-Ddocs=true
 
 override_dh_auto_test:
-	dbus-run-session -- xvfb-run dh_auto_test
+	xvfb-run -s -noreset -a dbus-run-session -- dh_auto_test
 
 override_dh_missing:
 	dh_missing --fail-missing
 
 override_dh_makeshlibs:
-	dh_makeshlibs -a --add-udeb=libatspi0-udeb -V 'libatspi2.0-0 (>= 2.9.90)'
+	dh_makeshlibs -plibatspi2.0-0 --add-udeb=libatspi0-udeb -V 'libatspi2.0-0 (>= 2.9.90)'
+	dh_makeshlibs -a --remaining-packages
 	dh_girepository -pgir1.2-atspi-2.0
 
 override_dh_strip:

## at-spi2-core 2.36.0

=== debian/changelog ===
at-spi2-core (2.36.0-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Downgrade meson requirement.

  [Laurent Bigonville]
  * Bump debhelper compatibility to 12 and move the daemons to /usr/libexec

 -- Samuel Thibault <sthibault@debian.org>  Mon, 16 Mar 2020 00:08:02 +0100

at-spi2-core (2.36.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 08 Mar 2020 16:15:21 +0100

at-spi2-core (2.35.92-1) experimental; urgency=medium

  * New upstream release.
    - debian/patches/shutdown-fix: Comes with upstream.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Mar 2020 20:40:59 +0100

at-spi2-core (2.35.1-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Jan 2020 01:02:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 11.1.3),
+Build-Depends: debhelper-compat (= 12),
                dbus, libdbus-1-dev,
                gedit <!nocheck>,
                libglib2.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 
 override_dh_auto_configure:
 	ac_cv_lib_ICE_IceConnectionNumber=no \
-	dh_auto_configure -- --libexecdir=/usr/lib/at-spi2-core \
-			-Dintrospection=yes \
+	dh_auto_configure -- -Dintrospection=yes \
 			-Ddocs=true
 
 override_dh_auto_test:

=== debian/tests/control ===
Tests: gedit dbind
Depends: libatspi2.0-dev, build-essential, xauth, xvfb, dbus, at-spi2-core, gedit:native
